Bug 863129 - No MIDI support in wine
No MIDI support in wine
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 09:37 EDT by Klaus-Peter Schrage
Modified: 2012-12-20 10:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:45:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from aconnect -o (246 bytes, text/plain)
2012-10-04 09:37 EDT, Klaus-Peter Schrage
no flags Details

  None (edit)
Description Klaus-Peter Schrage 2012-10-04 09:37:04 EDT
Created attachment 621666 [details]
Output from aconnect -o

Description of problem:
After a standard installation of the wine package group you don't have MIDI sound available.

Version-Release number of selected component (if applicable):
wine-1.5.13-1.fc17.i686

How reproducible:
always

Steps to Reproduce:
1. Install wine (yum install wine.i686).
2. Launch any MIDI application, e. g. Band-in-Box.
3. Start playback.
  
Actual results:
No hardware or software devices (e. g. when running Fluidsysnth) are present, no playback audible.

Expected results:
There should show up a choice of MIDI ports in the applications's MIDI tab, and there should be an audible playback.

Additional info:
MIDI in Fedora is running flawlessly, see attachment.
Workaround to make MIDI heard in wine:
- install the winealsa.drv (wine-alsa.i686 package)
- remove the winepulse.drv (wine-pulseaudio.i686)
Comment 1 Fedora Update System 2012-10-30 11:57:17 EDT
mingw-wine-gecko-1.8-1.fc18, wine-mono-0.0.8-1.fc18, wine-1.5.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-15124/wine-mono-0.0.8-1.fc18,mingw-wine-gecko-1.8-1.fc18,wine-1.5.16-1.fc18
Comment 2 Fedora Update System 2012-10-30 12:02:03 EDT
mingw-wine-gecko-1.8-1.fc17, wine-mono-0.0.8-1.fc17, wine-1.5.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-15138/mingw-wine-gecko-1.8-1.fc17,wine-mono-0.0.8-1.fc17,wine-1.5.16-1.fc17
Comment 3 Fedora Update System 2012-10-30 12:03:02 EDT
wine-1.5.16-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-15135/wine-1.5.16-1.fc16
Comment 4 Fedora Update System 2012-10-30 16:17:34 EDT
Package mingw-wine-gecko-1.8-1.fc18, wine-mono-0.0.8-1.fc18, wine-1.5.16-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-wine-gecko-1.8-1.fc18 wine-mono-0.0.8-1.fc18 wine-1.5.16-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15124/wine-mono-0.0.8-1.fc18,mingw-wine-gecko-1.8-1.fc18,wine-1.5.16-1.fc18
then log in and leave karma (feedback).
Comment 5 Klaus-Peter Schrage 2012-11-12 06:00:43 EST
I finally did the update as suggested in Comment 4 (with fc17 instead of fc18), and now MIDI in wine seems to work as expected, with software synth (fluidsynth) as well with the hardware ports of my soundcard.
Comment 6 Fedora Update System 2012-12-20 10:45:58 EST
mingw-wine-gecko-1.8-1.fc18, wine-mono-0.0.8-1.fc18, wine-1.5.16-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.